//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package bus.controller.biz;

import bus.model.dto.BCourseTrackTreeDto;
import bus.model.dto.BStationPointDto;
import bus.model.dto.BTrackCourseDto;
import bus.model.dto.BTrackStationDto;
import bus.service.BCourseInfoService;
import com.qzwisdom.qzframework.core.tool.base.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.util.List;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@CrossOrigin
@RestController
@Api(
    tags = {"路线地图接口"}
)
@RequestMapping({"/bCourseTrackInfo"})
public class BCourseTrackController implements BaseController {
    private static final Logger log = LoggerFactory.getLogger(BCourseTrackController.class);
    @Autowired
    private BCourseInfoService bCourseInfoService;

    public BCourseTrackController() {
    }

    @ApiOperation("获取路线状态树型数据")
    @GetMapping({"getTreeList"})
    public List<BCourseTrackTreeDto> getTreeList() {
        List<BCourseTrackTreeDto> treeList = this.bCourseInfoService.getTreeList();
        return treeList;
    }

    @ApiOperation("根据路线ID获取站点路线信息")
    @GetMapping({"getPoint"})
    public BTrackStationDto getPoint(String courseId) {
        BTrackStationDto bTrackStationDto = this.bCourseInfoService.getPoint(courseId);
        return bTrackStationDto;
    }

    @ApiOperation("获取所有站点信息")
    @GetMapping({"getAllPoint"})
    public List<BStationPointDto> getAllPoint() {
        List<BStationPointDto> allPoint = this.bCourseInfoService.getAllPoint();
        return allPoint;
    }

    @ApiOperation("获取所有路线信息")
    @GetMapping({"getAllCourse"})
    public List<BTrackCourseDto> getAllCourse() {
        List<BTrackCourseDto> allCourse = this.bCourseInfoService.getAllCourse();
        return allCourse;
    }
}
